Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.relational
Class Attribute

    java.lang.Object
      unity.relational.Attribute

    public class Attribute

extends java.lang.Object

Field Summary
`static int` | `TYPE_BLOB`
`static int` | `TYPE_CHAR`
`static int` | `TYPE_DATE`
`static int` | `TYPE_DECIMAL`
`static int` | `TYPE_DOUBLE`
`static int` | `TYPE_FLOAT`
`static int` | `TYPE_INT`
`static int` | `TYPE_NUMBER`
`static int` | `TYPE_SMALLINT`
`static int` | `TYPE_SOURCEREF`
`static int` | `TYPE_STRING`
`static int` | `TYPE_TIME`
`static int` | `TYPE_TIMESTAMP`

Constructor Summary
`Attribute()`
`Attribute(Attribute a)`
`Attribute(java.lang.String n, int t, int l)`
`Attribute(java.lang.String n, int t, int l, java.lang.Object ref)`

Method Summary
`static int` | `getByteSize(int attrType, java.lang.Object obj)`
`int` | `getLength()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getReference()`
`int` | `getType()`
`java.lang.String` | `getTypeName()`
`static java.lang.String` | `getTypeName(int type)`
`static boolean` | `isDoubleType(int type)`
`static boolean` | `isNumberType(int type)`
`static boolean` | `isStringType(int type)`
`java.lang.String` | `outputString()`
`static java.lang.Object` | `read(java.io.BufferedInputStream in, int attrType)`
`static java.lang.Object` | `read(java.io.RandomAccessFile in, int attrType)`
`void` | `setLength(int l)`
`void` | `setName(java.lang.String st)`
`void` | `setReference(java.lang.Object ref)`
`void` | `setType(int t)`
`java.lang.String` | `toString()`
`static Attribute` | `unionCompatible(Attribute leftAttr, Attribute rightAttr, boolean[] flags, Expression[] expr, int index)`
`static void` | `write(java.io.BufferedOutputStream out, int attrType, java.lang.Object obj)`
`static void` | `write(java.io.RandomAccessFile out, int attrType, java.lang.Object obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_SMALLINT

    public static int TYPE_SMALLINT

### TYPE_INT

    public static int TYPE_INT

### TYPE_FLOAT

    public static int TYPE_FLOAT

### TYPE_DECIMAL

    public static int TYPE_DECIMAL

### TYPE_DOUBLE

    public static int TYPE_DOUBLE

### TYPE_CHAR

    public static int TYPE_CHAR

### TYPE_STRING

    public static int TYPE_STRING

### TYPE_BLOB

    public static int TYPE_BLOB

### TYPE_DATE

    public static int TYPE_DATE

### TYPE_TIMESTAMP

    public static int TYPE_TIMESTAMP

### TYPE_TIME

    public static int TYPE_TIME

### TYPE_NUMBER

    public static int TYPE_NUMBER

### TYPE_SOURCEREF

    public static int TYPE_SOURCEREF

Constructor Detail

### Attribute

    public Attribute()

### Attribute

    public Attribute(Attribute a)

### Attribute

    public Attribute(java.lang.String n,
                     int t,
                     int l)

### Attribute

    public Attribute(java.lang.String n,
                     int t,
                     int l,
                     java.lang.Object ref)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String st)

### getType

    public int getType()

### setType

    public void setType(int t)

### getLength

    public int getLength()

### setLength

    public void setLength(int l)

### setReference

    public void setReference(java.lang.Object ref)

### getReference

    public java.lang.Object getReference()

### read

    public static java.lang.Object read(java.io.BufferedInputStream in,
                                        int attrType)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public static java.lang.Object read(java.io.RandomAccessFile in,
                                        int attrType)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public static void write(java.io.BufferedOutputStream out,
                             int attrType,
                             java.lang.Object obj)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public static void write(java.io.RandomAccessFile out,
                             int attrType,
                             java.lang.Object obj)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getByteSize

    public static int getByteSize(int attrType,
                                  java.lang.Object obj)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### outputString

    public java.lang.String outputString()

### getTypeName

    public java.lang.String getTypeName()

### isStringType

    public static boolean isStringType(int type)

### isDoubleType

    public static boolean isDoubleType(int type)

### isNumberType

    public static boolean isNumberType(int type)

### getTypeName

    public static java.lang.String getTypeName(int type)

### unionCompatible

    public static Attribute unionCompatible(Attribute leftAttr,
                                            Attribute rightAttr,
                                            boolean[] flags,
                                            Expression[] expr,
                                            int index)
                                     throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD